com.brightcove.player.model

## Class TTMLDocument

- java.lang.Object
- - com.brightcove.player.model.CaptionsDocument
  - - com.brightcove.player.model.TTMLDocument

- All Implemented Interfaces:
    java.io.Serializable

      public class TTMLDocument
      extends CaptionsDocument

  Represents a parsed DFXP TTML document. This object model does not fully implement the W3C TTML specification, however, and has implemented the features required for VMN video players.
  See Also:
    `TTMLParser`, http://www.w3.org/TR/ttaf1-dfxp/, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.model.CaptionsDocument

      `captions, regions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TTMLDocument(java.util.Map<java.lang.String,Region> regions, java.util.Map<java.lang.String,StyledElement> styles, Block body, java.util.List<BrightcoveClosedCaption> captions)` Initializes a TTMLDocument with the required components that comprise a TTML document.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Block` | `getBody()` Retrieves the body `Block` for this document.
    `java.util.Map<java.lang.String,StyledElement>` | `getStyles()` Retrieves a `Map` of the `StyledElement` objects in this document, keyed by their names.

    - ### Methods inherited from class com.brightcove.player.model.CaptionsDocument

      `getCaptions, getRegions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TTMLDocument

          public TTMLDocument(java.util.Map<java.lang.String,Region> regions,
                              java.util.Map<java.lang.String,StyledElement> styles,
                              Block body,
                              java.util.List<BrightcoveClosedCaption> captions)

      Initializes a TTMLDocument with the required components that comprise a TTML document.
      Parameters:
        `regions` - the region definitions for this TTML document
        `styles` - the style dfinitions for this TTML document
        `body` - the body `Block` element of the document
        `captions` - a `List` of timed-text `BrightcoveClosedCaption` objects

  - ### Method Detail

    - #### getStyles

          public java.util.Map<java.lang.String,StyledElement> getStyles()

      Retrieves a `Map` of the `StyledElement` objects in this document, keyed by their names.
      Returns:
        the style map

    - #### getBody

          public Block getBody()

      Retrieves the body `Block` for this document.
      Returns:
        body block